%global srcname fast_yaml


Name: erlang-%{srcname}
Version: 1.0.5
Release: 1%{?dist}

License: ASL 2.0
Summary: An Erlang wrapper for libyaml "C" library
URL:     https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}.tar.gz

Provides:  erlang-p1_yaml = %{version}-%{release}
Obsoletes: erlang-p1_yaml < 1.0.2

BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils
BuildRequires: libyaml-devel

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
P1 YAML is an Erlang wrapper for libyaml "C" library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.5-1
- Update to 1.0.5 (#1354094).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.4-1
- Update to 1.0.4 (#1351710)

* Thu Apr 21 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-1
- Update to 1.0.3.

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.2-2
- Include a debuginfo package.

* Sat Mar 12 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.2-1
- Initial release.
